/* base START */
:root {
    --gutter: 2rem;
    --wrapper: 124rem;
    --wrapper-padding: calc((100% - var(--wrapper)) / 2 - var(--gutter));
    --sidewrap: calc(var(--wrapper) + var(--wrapper-padding) * 2 + var(--gutter));

    --section-padding: 8rem;

    --trans: 0.3s ease-out;

    --font-tb: 'THICCCBOI', sans-serif;

    --color-primary: #122926;
    --color-secondary: #fff;
    --color-tertiary: #FF4D00;
    --color-text: #415451;
    --color-surface: #D0D4D4;
    --color-footer: #161616;
}

* {
    box-sizing: border-box;
}

body {
    font-family: var(--font-primary);
    font-weight: var(--font-weight);
    font-size: 1.6rem;
    line-height: 1;
    color: var(--color-text);
    background: var(--color-secondary);
}

@media screen and (max-width: 1024.9px) {
    :root {
        --section-padding: 7rem;
    }

    body {
        font-size: 1.5rem;
    }

}

@media screen and (max-width: 575.9px) {
    :root {
        --gutter: 2rem;
        --section-padding: 5.5rem;
    }

    body {
        font-size: 1.4rem;
    }
}
/* base END */



/* keyframes START */
@keyframes scroll-down {
    0% { transform: translateY(0); }
    25% { transform: translateY(-0.2rem); }
    75% { transform: translateY(0.2rem); }
    100% { transform: translateY(0); }
}
/* keyframes END */



/* lenis START */
html.lenis {
    height: auto;
}

.lenis.lenis-smooth {
    scroll-behavior: auto;
}

.lenis.lenis-smooth [data-lenis-prevent] {
    overscroll-behavior: contain;
}

.lenis.lenis-stopped {
    overflow: hidden;
}

.lenis.lenis-scrolling iframe {
    pointer-events: none;
}
/* lenis END */

.no-select {
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}



/* containers START */
section {
    width: 100%;
    padding: var(--section-padding) 0;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
}

section.no-padding {
    padding: 0;
}

section.no-padding + section:not(.no-padding) {
    padding-top: calc(var(--section-padding) * 1.5);
}

section:not(.no-padding) + section:not(.no-padding),
section.section-dark + section.section-dark .section-inner {
    padding-top: calc(var(--section-padding) / 2);
}

section:not(.no-padding) + .no-padding {
    margin-top: calc(var(--section-padding) / 2);
}

section:not(.no-padding):last-child {
    padding-bottom: calc(var(--section-padding) * 1.5);
}

section.no-padding:not(.section-dark) + section:not(.no-padding):not(.section-dark) {
    padding-top: 0;
}

.section-dark {
    background-color: var(--color-primary);
    color: var(--color-secondary);
}

.section-inner {
    padding: calc(var(--section-padding) * 1.5) 0;
}

.inner-wrap {
    width: 79.5rem;
}

.form-wrap {
    width: 60rem;
}

.limit-width {
    width: 52rem;
    max-width: 100%;
}

section:has(.padded-wrapper) {
    overflow-x: clip;
}

section:has(.padded-wrapper) .swiper-container {
    overflow: visible;
}

@media screen and (max-width: 1024.9px) {
    .inner-wrap {
        width: 60rem;
    }
}
/* containers END */



/* slider START */
.slider-nav {
    display: flex;
    align-items: center;
    gap: 1rem;
}

.slider-nav__item {
    aspect-ratio: 1/1;
    width: 4.8rem;
    cursor: pointer;
}

.slider-nav__item * {
    transition: var(--trans);
}

.slider-nav__item.disabled {
    cursor: default;
}

.slider-nav__item.disabled circle {
    fill: transparent;
}

.slider-nav__item.disabled circle,
.slider-nav__item.disabled path {
    stroke: var(--color-surface);
}

.section-dark .slider-nav__item.disabled circle,
.section-dark .slider-nav__item.disabled path {
    stroke: var(--color-text);
}

.slider-pagination {
    gap: 1rem;
}

.slider-pagination__item {
    width: 0.6rem;
    background-color: var(--color-primary);
    opacity: 0.5;
}

.section-dark .slider-pagination__item:not(.active) {
    background-color: var(--color-secondary);
}

.slider-pagination__item.active {
    opacity: 1;
    background-color: var(--color-tertiary);
}

.no-overflow-slider {
    overflow: hidden;
}

.no-overflow-slider .swiper {
    overflow: visible;
}

[dir="rtl"] .slider-nav__item svg {
    transform: scaleX(-1);
}
/* slider END */




/* global START */
.br-block {
    border-radius: 1rem;
    overflow: hidden;
}

.flex-block {
    display: flex;
    flex-direction: column;
    gap: 3rem;
}

.header-block {
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
    gap: 2rem;
}

.header-block .slider-nav {
    margin-left: auto;
}

.item-subtitle {
    font-weight: 700;
    font-size: 1.8rem;
    color: var(--color-text);
}

.scroll-down {
    display: flex;
    align-items: center;
    gap: 0.8rem;
    font-weight: 600;
    font-size: 1.4rem;
    color: var(--color-tertiary);
    cursor: pointer;
}

.scroll-down svg {
    animation: scroll-down 1s linear infinite;
}

@media screen and (max-width: 1024.9px) {
    .header-block {
        align-items: flex-start;
        flex-direction: column;
    }
}
/* global END */



/* map START */
.map {
    aspect-ratio: 610/200;
    width: 100%;
    border-radius: 1rem;
    overflow: hidden;
}

@media screen and (max-width: 767.9px) {
    .map {
        aspect-ratio: 335/300;
    }
}
/* map END */



/* langs START */
.langs {
    width: 4.8rem;
    height: 4.8rem;
    background: var(--color-secondary);
    font-weight: 700;
    font-size: 1.4rem;
    text-transform: uppercase;
    text-align: center;
    color: var(--color-primary);
}

.langs__inner {
    box-sizing: border-box;
    width: 100%;
    min-height: 100%;
    background: var(--color-secondary);
    border: 0.1rem solid var(--color-text);
    border-radius: 10rem;
    overflow: hidden;
}

.langs__list {
    max-height: 0;
    transition: calc(var(--langs-count) * 0.2s);
}

.langs__list-inner {
    padding-bottom: 1rem;
}

.langs__item {
    padding: 0.8rem;
    padding-block: 1.1rem;
    transition: var(--trans);
}

.langs__item.current {
    padding-top: 1.6rem;
}

@media (hover: hover) and (pointer: fine) {
    .langs:hover .langs__list {
        max-height: calc(var(--langs-count) * 4rem + 1rem);
    }

    .langs__item:not(.current):hover {
        color: var(--color-tertiary);
    }
}

@media screen and (max-width: 1024.9px) {
    .langs.active .langs__list {
        max-height: calc(var(--langs-count) * 4rem + 1rem);
    }
}
/* langs END */



/* sort-form START */
.sort-form {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 2rem;
    line-height: 1;
}

.sort-form__list {
    display: flex;
    flex: 0 0 auto;
    width: 23rem;
}

@media screen and (max-width: 575.9px) {
    .sort-form,
    .sort-form__list {
        width: 100%;
    }

    .sort-form {
        gap: 1rem;
    }
}
/* sort-form END */



/* breadcrumbs START */
.cpt-bc {
    display: flex;
    align-items: center;
    white-space: nowrap;
    gap: 0.5rem;
    font-size: 1.4rem;
    line-height: 1.3;
    margin-bottom: 6.5rem;
}

.cpt-bc__item {
    flex: 0 0 auto;
    transition: var(--trans);
}

.cpt-bc__item_current {
    flex: 1;
    font-weight: 600;
    text-overflow: ellipsis;
    overflow: hidden;
}

.cpt-bc__sep {
    margin-right: 1rem;
}

.cpt-bc__sep::before {
    content: '';
    aspect-ratio: 1;
    display: block;
    width: 0.6rem;
    border: 0.1rem solid currentColor;
    border-bottom-color: transparent;
    border-left-color: transparent;
    transform: rotate(45deg);
}

@media (hover: hover) and (pointer: fine) {
    a.cpt-bc__item:hover {
        color: var(--color-tertiary);
    }
}

@media screen and (max-width: 575.9px) {
    .cpt-bc {
        font-size: 1.2rem;
        margin-bottom: 3rem;
    }
}
/* breadcrumbs END */



/* socials START */
.socials {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    gap: 1rem;
}

.socials__item {
    aspect-ratio: 1/1;
    display: flex;
    align-items: center;
    justify-content: center;
    width: 5.3rem;
    transition: var(--trans);
}

.socials__item svg {
    transition: inherit;
}

.socials__item.default {
    border-radius: 100%;
    border: 0.1rem solid rgb(255 255 255 / 15%);
}

.socials__item.dark {
    border: 0.1rem solid var(--color-surface);
    border-radius: 100%;
}

.socials__item.dark path {
    fill: var(--color-primary);
}

@media (hover: hover) and (pointer: fine) {
    .socials__item:hover svg {
        transform: scale(1.2);
    }

    .socials__item.default:hover {
        border-color: var(--color-secondary);
    }

    .socials__item.dark:hover {
        border-color: var(--color-primary);
    }
}

@media screen and (max-width: 575.9px) {
    .socials {
        gap: 1rem;
    }
}
/* socials END */




/* share START */
.share {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    gap: 2rem;
}

.share__list {
    display: flex;
    align-items: center;
    gap: 2rem;
}

.share__item {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 2.2rem;
    transition: var(--trans);
}

.share__item svg {
    transition: inherit;
}

@media (hover: hover) and (pointer: fine) {
    .share__item:hover {
        border-color: var(--color-primary);
    }

    .share__item:hover svg {
        transform: scale(1.2);
    }
}
/* share END */





/* icons START */
.icon * {
    transition: var(--trans);
}

.icon-arrow-external {
    aspect-ratio: 1/1;
    width: 4.8rem;
}

.icon-arrow-external circle {
    fill: transparent;
}

@media (hover: hover) and (pointer: fine) {
    .icon-arrow-external:hover circle,
    .icon-parent:hover .icon-arrow-external circle {
        fill: var(--color-primary);
        stroke: transparent;
    }

    .icon-arrow-external:hover path,
    .icon-parent:hover .icon-arrow-external path {
        stroke: var(--color-secondary);
    }
}

@media screen and (max-width: 1024.9px) {
    .icon-arrow-external circle,
    .icon-parent .icon-arrow-external circle {
        fill: var(--color-primary);
        stroke: transparent;
    }

    .icon-arrow-external path,
    .icon-parent .icon-arrow-external path {
        stroke: var(--color-secondary);
    }
}
/* icons END */



/* tags START */
.tags {
    display: flex;
    flex-wrap: wrap;
    gap: 0.5rem;
}

.tag {
    display: inline-flex;
    align-items: center;
    padding: 0.8rem 1.8rem;
    border-radius: 99rem;
    background: var(--color-secondary);
    font-size: 1.4rem;
}

@media screen and (max-width: 575.9px) {
    .tag {
        font-size: 1.2rem;
    }
}
/* tags END */



/* tabs START */
.tabs-wrap {
    overflow-x: auto;
    overflow-y: clip;
}

.tabs {
    width: min-content;
    gap: 3rem;
    padding: 0 2rem;
}

.tab {
    flex: 1;
    padding: 3rem 1rem;
    padding-top: 0;
    border-bottom: 0.3rem solid transparent;
    font-family: var(--font-tonus);
    font-weight: 600;
    line-height: 1.4;
    white-space: nowrap;
    text-align: center;
    white-space: nowrap;
    color: var(--color-grey);
    margin-bottom: -0.2rem;
    opacity: 0.8;
    cursor: pointer;
    transition: 0.3s;
}

.tab.active {
    border-color: var(--color-pink);
    color: var(--color-purple);
}

.tab.active {
    opacity: 1;
}

@media (hover: hover) and (pointer: fine) {
    .tab:hover {
        border-color: var(--color-pink);
        color: var(--color-purple);
    }
}

@media screen and (max-width: 1024.9px) {
    .tabs-wrap::-webkit-scrollbar {
        display: none; 
    }
}
/* tabs END */





/* btn START */
.btn,
[type="submit"] {
    --btn-color: var(--color-tertiary);

    box-sizing: border-box;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    width: max-content;
    max-width: 100%;
    min-height: 4.8rem;
    padding: 1rem 2.8rem;

    background: var(--btn-color);
    border: 0.1rem solid var(--btn-color);
    border-radius: 99rem;
    font-weight: 700;
    font-size: 1.4rem;
    color: var(--color-secondary);
    
    overflow: hidden;
    cursor: pointer;
    position: relative;
    z-index: 1;
    transition: var(--trans);
}

.btn span {
    color: currentColor;
}

.btn_tertiary-transparent {
    background: transparent;
    color: var(--color-tertiary);
}

.btn_secondary {
    --btn-color: var(--color-secondary); 
    color: var(--color-primary);
}

.btn_primary {
    --btn-color: var(--color-primary);
}

.btn_primary-transparent,
.btn_secondary-transparent {
    --btn-color: var(--color-primary);

    background: transparent;
    color: var(--btn-color);
}

.btn_primary-transparent {
    border-color: var(--color-surface);
}

.btn_secondary-transparent {
    --btn-color: var(--color-secondary);
    border-color: var(--color-text);
}

.btns {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    justify-content: center;
    gap: 1.5rem;
}

@media (hover: hover) and (pointer: fine) {
    .btn:hover,
    [type="submit"]:hover {
        background: var(--color-primary);
        border-color: var(--color-text);
        color: var(--color-secondary);
    }

    .btn_secondary:hover {
        background-color: var(--color-primary);
        border-color: var(--color-text);
        color: var(--color-secondary);
    }

    .btn_secondary-transparent:hover,
    .btn_tertiary-transparent:hover {
        background: var(--color-tertiary);
        border-color: var(--color-tertiary);
        color: var(--color-secondary);
    }

    .btn_primary:hover {
        background: var(--color-secondary);
        border-color: var(--color-primary);
        color: var(--color-primary);
    }

    .btn_primary-transparent:hover {
        background: var(--btn-color);
        border-color: var(--btn-color);
        color: var(--color-secondary);
    }
}

@media screen and (max-width: 575.9px) {
    .btn {
        width: 100%;
    }
}
/* btn END */



/* form fields START */
input[type='text'],
input[type='email'],
input[type='tel'],
input[type='number'],
input[type='password'],
input[type='search'],
textarea,
select,
.select2 .select2-selection {
    box-sizing: border-box;
    width: 100%;
    height: 5.3rem;
    padding: 1.6rem 2.8rem;
    font-family: inherit;
    font-weight: 400;
    font-size: 1.6rem;
    background-color: transparent;
    border: 0.1rem solid var(--color-primary);
    border-radius: 1rem;
    color: var(--color-default);
    text-overflow: ellipsis;
    overflow: hidden;
}

.section-dark input[type='text'],
.section-dark input[type='email'],
.section-dark input[type='tel'],
.section-dark input[type='number'],
.section-dark input[type='password'],
.section-dark input[type='search'],
.section-dark textarea,
.section-dark select,
.section-dark .select2 .select2-selection {
    border-color: var(--color-text);
    color: var(--color-secondary);
}

textarea {
    --height: 9.5rem;

    display: block;
    height: var(--height);
    min-height: var(--height);
    border-radius: 1rem;
    resize: vertical;
    overflow: auto;
}

input::placeholder,
textarea::placeholder {
    opacity: 1;
    color: var(--color-surface);
}

input:not([type='checkbox']):not([type='radio']):not([type='submit']):not([type='file']):focus,
textarea:focus {
    background-color: var(--color-primary);
    border-color: var(--color-surface);
}

select {
    padding-block: 0;
    background-position: right 2.8rem center;
}

@media screen and (max-width: 767.9px) {
    textarea {
        --height: 25rem;
    }
}

@media screen and (max-width: 575.9px) {
    input[type='text'],
    input[type='email'],
    input[type='tel'],
    input[type='number'],
    input[type='password'],
    input[type='search'],
    select {
        height: 5rem;
        font-size: 1.4rem;
    }
}
/* form fields END */



/* select2 START */
.select2 span {
    display: block;
}

.select2 .select2-selection {
    padding: 0;
    overflow: hidden;
    border-radius: 1rem !important;
}

.select2-container {
    max-width: 100%;
    width: 100% !important;
}

.select2-container--default .select2-selection--single .select2-selection__rendered {
    display: block;
    width: 100%;
    padding: 0 2.8rem;
    padding-right: 4rem;
    line-height: 5.3rem;
    border-radius: 1rem;
    font-weight: 600;
    color: var(--color-secondary);
    position: absolute;
    inset: 0;
}

.select2-container--open .select2-selection--single .select2-selection__rendered {
    background: var(--color-secondary);
    color: var(--color-primary);
}

.select2-container--default .select2-selection--single .select2-selection__arrow {
    aspect-ratio: 1;
    width: 0.6rem;
    height: auto;
    left: auto;
    right: 3rem;
    top: 50%;
    translate: 0 -50%;
}

.select2-container--default .select2-selection--single .select2-selection__arrow::before {
    --border-color: var(--color-secondary);
    --translate: 25%;

    content: '';
    display: block;
    width: 100%;
    aspect-ratio: 1;
    border: 0.1rem solid var(--border-color);
    border-bottom-color: transparent;
    border-left-color: transparent;
    transform: rotate(135deg);
    translate: 0 calc(var(--translate) * -1);
}

.select2-container--open .select2-selection--single .select2-selection__arrow::before {
    --border-color: var(--color-primary);
    transform: rotate(-45deg);
    translate: 0 var(--translate);
}

.select2-container--default .select2-selection--single .select2-selection__arrow b {
    display: none;
}

.select2-container--open .select2-dropdown {
    border: 0;
    padding: 0.5rem 0;
    background: transparent;
}

.select2-results {
    border: 0;
    border-radius: 1rem;
    background: var(--color-secondary);
    overflow: hidden;
}

.select2-results__option {
    font-weight: 500;
    padding: 1.6rem 2.8rem;
}

.select2-container--default .select2-results > .select2-results__options {
    max-height: 40rem;
}


.select2-container--default .select2-results__option[aria-selected=true],
.select2-container--default .select2-results__option--highlighted[aria-selected] {
    background: var(--color-surface);
    color: var(--color-primary);
}

@media screen and (max-width: 575.9px) {
    .select2 .select2-selection {
        height: 5rem;
        font-size: 1.4rem;
    }
}

[dir="rtl"] .select2-container--default .select2-selection--single .select2-selection__arrow {
    left: 3rem;
}

[dir="rtl"] .select2-container--default .select2-selection--single .select2-selection__rendered {
    padding-right: 2.4rem;
}
/* select2 END */




/* form START */
.form__row {
    display: flex;
    gap: 2rem;
}

.form__col {
    flex: 1;
    margin-bottom: 1rem;
}

.form__agreement {
    padding-top: 1.2rem;
}

.form__submit {
    margin-top: 1rem;
}

.wpcf7-not-valid-tip {
    color: var(--color-tertiary);
    padding-top: 0.5rem;
    font-size: 1.2rem;
}

.wpcf7-acceptance {
    display: block;
    padding-top: 1rem;
}

.wpcf7 form .wpcf7-response-output {
    padding: 0;
    border: 0;
    color: chartreuse;
}

.wpcf7 form.invalid .wpcf7-response-output, .wpcf7 form.unaccepted .wpcf7-response-output, .wpcf7 form.payment-required .wpcf7-response-output {
    color: var(--color-tertiary);
}
/* form END */





/* custom input START */
.custom-input,
.wpcf7-list-item {
    display: block;
    position: relative;
    cursor: pointer;
    font-size: 1.4rem;
    color: var(--color-surface);
    margin: 0;
}

.custom-input input,
.wpcf7-list-item input {
    position: absolute;
    left: 0;
    top: 0;
    opacity: 0;
}

.custom-input input + span,
.wpcf7-list-item input + span {
    display: flex;
    align-items: center;
    gap: 1.5rem;
    padding-left: 2.6rem;
    position: relative;
}

.wpcf7-list-item input + span {
    display: block;
}

.wpcf7-list-item input + span a {
    display: inline;
    text-decoration: underline;
}

.wpcf7-list-item input + span a:hover {
    text-decoration: none;
}

.custom-input input + span::before,
.custom-input input + span::after,
.wpcf7-list-item input + span::before,
.wpcf7-list-item input + span::after {
    content: '';
    box-sizing: border-box;
    width: 1.6rem;
    aspect-ratio: 1/1;
    position: absolute;
    top: -0.2rem;
    left: 0;
    cursor: pointer;
}

.custom-input input + span::before,
.wpcf7-list-item input + span::before {
    border: 0.1rem solid var(--color-text);
    border-radius: 0.4rem;
}

.custom-input input + span::after,
.wpcf7-list-item input + span::after {
    content: '';
    width: 1.6rem;
    background: url(../images/icons/icon-check.svg) center center no-repeat;
    background-size: 100%;
    opacity: 0;
}

.custom-input input:checked + span::before,
.wpcf7-list-item input:checked + span::before {
    background: var(--color-secondary);
    border-color: var(--color-secondary);
}

.custom-input input:checked + span::after,
.wpcf7-list-item input:checked + span::after {
    opacity: 1;
}
/* custom input END */



/* typo START */
.text {
    line-height: 1.3;
}

.header-margin {
    margin-bottom: 4rem;
}

[class^='title-'],
[class*=' title-'],
.title,
.text h1,
.text h2,
.text h3,
.text h4,
.text h5,
.text h6 {
    font-family: var(--font-secondary);
    font-weight: 700;
    font-size: 4.6rem;
    line-height: 1.1;
    color: var(--color-primary);
}

.section-dark [class^='title-'],
.section-dark [class*=' title-'],
.section-dark .title,
.section-dark .text h1,
.section-dark .text h2,
.section-dark .text h3,
.section-dark .text h4,
.section-dark .text h5,
.section-dark .text h6 {
    color: inherit;
}

.title-l,
.text h1 {
    font-size: 5.6rem;
}

.title-s,
.text h3 {
    font-weight: 600;
    font-size: 3.2rem;
    line-height: 1.3;
}

.title-xs,
.text h4,
.text-l {
    font-weight: 500;
    font-size: 1.8rem;
    line-height: 1.3;
}

.title-xxs,
.text h5,
.text-s {
    font-weight: 500;
    font-size: 1.6rem;
}

.text-s {
    font-weight: 400;
}

.title-xxxs,
.text h6,
.text-xs {
    font-weight: 500;
    font-size: 1.4rem;
}

.text-xxs {
    font-weight: 600;
    font-size: 1.2rem;
}

.text * + * {
    margin-top: 1rem;
}

.text * + h1,
.text * + h2,
.text * + h3 {
    margin-top: 8rem;
}

.text * + h4,
.text * + h5,
.text * + h6 {
    margin-top: 4rem;
}

.text * + p {
    margin-top: 1rem;
}

.text h1 + p,
.text h2 + p,
.text h3 + p {
    margin-top: 4rem;
}

.text h4 + p,
.text h5 + p,
.text h6 + p {
    margin-top: 2rem;
}


.text * + ul {
    margin-top: 1.4rem;
}

.text li {
    display: block;
    padding-inline-start: 2.6rem;
    margin-top: 1.6rem;
    font-weight: 600;
    position: relative;
}
.text li::before {
    content: url(../images/icons/icon-li.svg);
    position: absolute;
    inset-inline-start: 0;
    top: 0;
}

.text p > a {
    display: inline;
    position: relative;
    color: var(--color-blue);
}

.text p > a::after {
    content: '';
    display: block;
    width: 0;
    height: 0.1rem;
    background: currentColor;
    position: absolute;
    bottom: 0;
    left: 50%;
    transform: translateX(-50%);
    transition: 0.3s;
}

.text blockquote p {
    padding: 1rem;
    background: var(--color-lblue);
    font-style: italic;
}

.text p + p:has(img) {
    margin-top: 8rem;
}

.text p + p > img {
    border-radius: 1rem;
}

.text .wp-caption-text {
    padding-block: 1rem;
    font-size: small;
    text-align: center;
    opacity: 0.5;
}

@media (hover: hover) and (pointer: fine) {
    .text p > a:hover::after {
        width: 100%;
    }
}

@media screen and (max-width: 1024.9px) {
    .header-margin {
        margin-bottom: 3rem;
    }

    .title-l,
    .text h1 {
        font-size: 4.6rem;
    }

    .title,
    .text h2 {
        font-size: 3.9rem;
    }

    .title-s,
    .text h3 {
        font-size: 2.8rem;
    }

    .text h4,
    .title-xs,
    .text-l {
        font-size: 1.7rem;
    }

    .text h5, 
    .title-xxs {
        font-size: 1.5rem;
    }

    .text p + p:has(img),
    .text * + h1, 
    .text * + h2, 
    .text * + h3 {
        margin-top: 6rem;
    }
}

@media screen and (max-width: 767.9px) {
    .title {
        text-align: center;
        margin-inline: auto;
    }
}

@media screen and (max-width: 575.9px) {
    .text h1,
    .title-l {
        font-size: 3.6rem;
    }

    .text h2,
    .title {
        font-size: 3.2rem;
    }

    .title-s,
    .text h3 {
        font-size: 2.4rem;
    }

    .text h4,
    .title-xs,
    .text-l {
        font-size: 1.6rem;
    }

    .title-xxs,
    .text h5, 
    .text-s {
        font-size: 1.4rem;
    }

    .text p + p:has(img),
    .text * + h1, 
    .text * + h2, 
    .text * + h3 {
        margin-top: 4rem;
    }

    .text h1 + p, 
    .text h2 + p, 
    .text h3 + p {
        margin-top: 2rem;
    }
}
/* typo END */



/* pagination START */
.pagination {
    padding-top: 4rem;
}

.pagination__list {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    justify-content: center;
    gap: 1rem;
}

.pagination__list .page-numbers {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 4.8rem;
    aspect-ratio: 1/1;
    border: 0.1rem solid transparent;
    border-radius: 100%;
    font-size: 1.6rem;
    transition: 0.3s;
    cursor: pointer;
}

.pagination__list .page-numbers.next,
.pagination__list .page-numbers.prev {
    border-color: var(--color-text);
}

.pagination__list span.current {
    background: var(--color-surface);
    border-color: var(--color-surface);
    color: var(--color-primary);
    cursor: default;
}

.pagination__list path {
    stroke: currentColor;
}

@media (hover: hover) and (pointer: fine) {
    .pagination__list a.page-numbers:hover {
        background: var(--color-secondary);
        color: var(--color-primary);
    }
}
/* pagination END */



/* header START */
.header {
    padding: 2.2rem 0;
    background: var(--color-secondary);
    position: sticky;
    top: 0;
    z-index: 10;
}

.header__content {
    display: flex;
    align-items: center;
    gap: 4rem;
}

.header__logo {
    height: 4.5rem;
    margin-inline-end: auto;
}

.header__logo > * {
    max-width: 100%;
    max-height: 100%;
}

.header__menu {
    display: flex;
    align-items: center;
}

.header__menu li {
    display: block;
    position: relative;
}

.header__menu a {
    display: flex;
    align-items: center;
    gap: 0.5rem;
    padding: 1.5rem;
    font-weight: 500;
    font-size: 1.4rem;
    transition: var(--trans);
}

.header__menu > li.current-menu-item > a {
    font-weight: 700;
    color: var(--color-tertiary);
}

.header__menu li.menu-item-has-children > a::after {
    aspect-ratio: 1/1;
    flex: 0 0 auto;
    content: '';
    display: block;
    width: 0.6rem;
    border: 0.1rem solid currentColor;
    border-right-color: transparent;
    border-bottom-color: transparent;
    transform: rotate(225deg);
    translate: 0 -0.3rem;
}

.header__menu li.menu-item-has-children.current-menu-item > a::after {
    border-width: 0.2rem;
}

.header__menu ul {
    white-space: nowrap;
    background: var(--color-secondary);
    border-radius: 1rem;
    position: absolute;
    top: 4rem;
    left: 50%;
    translate:-50% 0;
    z-index: 0;

    overflow: hidden;
    transition: var(--trans);

    opacity: 0;
    pointer-events: none;
}

.header__menu ul a {
    display: block;
    padding: 1.6rem 2.8rem;
    border-radius: 1rem;
    font-size: 1.4rem;
    color: var(--color-primary);
}

.header__btns {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    gap: 1rem;
}

@media (hover: hover) and (pointer: fine) {
    .header__menu a:hover,
    .header__menu li.menu-item-has-children:hover > a {
        color: var(--color-tertiary);
    }

    .header__menu li.menu-item-has-children:hover > a::after {
        transform: rotate(45deg);
        translate: 0 0.2rem;    
    }

    .header__menu li:hover ul {
        opacity: 1;
        pointer-events: auto;    
    }

    .header__menu ul a:hover {
        background: var(--color-surface);
        color: var(--color-primary);
    }
}

@media screen and (max-width: 575.9px) {
    .header__logo {
        height: 3.4rem;
    }
}
/* header END */



/* footer START */
.footer {
    background-color: var(--color-footer);
    color: var(--color-secondary);
}

.footer__content {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    gap: 6rem;
}

.footer__main {
    flex: 0 0 auto;
    width: 31rem;
}

.footer__logo-wrap {
    display: flex;
    align-items: center;
    gap: 4rem;
    margin-bottom: 6rem;
}

.footer__logo {
    flex: 0 0 auto;
    height: 4.5rem;
}

.footer__text {
    color: var(--color-surface);
}

.footer__info {
    gap: 3.3rem;
}

.footer-contacts-item {
    display: flex;
    align-items: center;
    flex-flow: row wrap;
    gap: 1.5rem;
    font-size: 1.8rem;
}

.footer-contacts-item a {
    transition: var(--trans);
}

.footer-contacts-item__text_top {
    align-self: flex-start;
}

.footer-contacts-item__list {
    gap: 1.5rem;
}

.footer-contacts-item__list a {
    text-decoration: underline;
}

.footer__menus {
    display: flex;
    flex-flow: row wrap;
    gap: 10rem;
}

.footer__menu {
    display: flex;
    flex-direction: column;
    gap: 1.7rem;
    font-size: 1.4rem;
}

.footer__menu-title {
    margin-bottom: 1rem;
}

.footer__menu a {
    transition: var(--trans);
}

.footer__subscribe,
.footer-subscribe-form {
    flex: 0 0 auto;
    width: 37rem;
    gap: 2rem;
}

.footer-subscribe-form__form {
    position: relative;
}

.footer-subscribe-form__form input {
    height: 5.8rem;
    border-radius: 99rem; 
    border-color: var(--color-green);
}

.footer-subscribe-form__title {
    color: var(--color-secondary);
}

.footer-subscribe-form__submit.btn {
    width: auto;
    position: absolute;
    top: 50%;
    inset-inline-end: 0.5rem;
    translate: 0 -50%;
}

.footer__copyright {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    justify-content: flex-end;
    gap: 4rem;
    padding-top: 5rem;
    margin-top: auto;
    color: var(--color-surface);
}

.footer__copyright-menu ul {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    gap: 4rem;
}

.footer__copyright a {
    transition: var(--trans);
}


.footer__socials {
    display: flex;
    flex-flow: row wrap;
    align-items: center;
    gap: 1.5rem;
}

@media (hover: hover) and (pointer: fine) {
    .footer__menu a:hover {
        color: var(--color-tertiary);
    }

    .footer-contacts-item a:hover {
        color: var(--color-tertiary);
    }

    .footer__copyright a:hover {
        color: var(--color-tertiary);
    }
}

@media screen and (max-width: 1199px) {
    .footer__copyright {
        justify-content: flex-start;
    }
}

@media screen and (max-width: 575.9px) {
    .footer__main {
        width: 100%;
    }

    .footer__logo-wrap {
        gap: 1.5rem;
        margin-bottom: 6rem;
    }

    .footer__logo {
        height: 3.6rem;
    }

    .footer__text {
        max-width: 20rem;
    }

    .footer-subscribe-form {
        margin-bottom: 4rem;
    }

    .footer__content {
        gap: 4rem;
    }

    .footer__info {
        flex-direction: row;
        justify-content: space-between;
        gap: 1.5rem;
    }

    .item-subtitle,
    .footer-contacts-item {
        font-size: 1.4rem;
    }

    .footer-contacts-item,
    .footer__socials {
        flex-direction: column;
        align-items: flex-start;
    }

    .footer-contacts-item {
        gap: 2rem;
    }

    .footer__subscribe {
        width: 100%;
        padding-top: 3rem;
        border-top: 0.1rem solid #262626;
    }

    .footer__subscribe {
        padding-top: 4rem;
    }

    input.footer-subscribe-form__input {
        height: 5.8rem;
    }

    .footer__menus {
        width: 100%;
        gap: 1rem 4rem;
        border-top: 0.1rem solid #262626;
    }

    .footer__menu {
        padding-top: 4rem;
        gap: 2.6rem;
    }

    .footer__menu a {
        font-size: 1.4rem;
    }

    .footer__menu-title {
        margin-bottom: 0.8rem;
    }

    .footer__copyright {
        padding-top: 0;
    }
}
/* footer END */




/* totop START */
.totop {
    position: fixed;
    bottom: 3rem;
    right: 3rem;
    z-index: 10;
    opacity: 0;
    cursor: pointer;
    transition: var(--trans);
    pointer-events: none;
}

.totop.active {
    opacity: 1;
    pointer-events: all;
}
/* totop END */



/* dropdown START */
.dropdown {
    width: 60rem;
    max-width: 100%;
    margin: 0 auto 6rem;
    position: relative;
    z-index: 5;
}

.dropdown__item,
.dropdown__title,
.dropdown a {
    box-sizing: border-box;
    width: 100%;
    padding: 2.3rem 3rem;
    border-radius: 1.5rem;
    font-weight: 600;
    font-size: 1.6rem;
    line-height: 1.5;
    background: var(--color-grey-l);
    color: var(--color-primary);
    cursor: pointer;
    margin-top: 1rem;
}

.dropdown__title {
    display: flex;
    align-items: center;
    justify-content: space-between;
    text-align: left;
    background: var(--color-tertiary);
    color: var(--color-secondary);
    margin: 0;
}

.dropdown__title span {
    flex: 1;
    white-space: nowrap;
    text-overflow: ellipsis;    
    overflow: hidden;
}

.dropdown__title::after {
    content: '';
    display: block;
    width: 2.4rem;
    aspect-ratio: 1/1;
    background: url(./images/dropdown-arrow.svg) center center no-repeat;
    background-size: 100% 100%;
}

.dropdown.opened .dropdown__title::after {
    transform: rotate(180deg);
}

.dropdown__list {
    display: block;
    width: 100%;
    position: absolute;
    top: 100%;
    z-index: 10;
    visibility: hidden;
    pointer-events: none;
    background: var(--color-secondary);
    max-height: calc(100dvh - 18rem);
    overflow-y: auto;
}

.dropdown.opened .dropdown__list {
    visibility: visible;
    pointer-events: auto;
}

.dropdown__list .active {
    display: none;
}
/* dropdown END */



/* category-list START */
.category-list {
    display: flex;
    flex-wrap: wrap;
    gap: 1.5rem;
    padding: 4rem 0;
}

.category-list__item {
    position: relative;
    cursor: pointer;
}

.category-list__item input {
    position: absolute;
    inset: 0;
}

.category-list__item input:not(:checked) {
    cursor: pointer;
}

.category-list__item span {
    display: block;
    padding: 1.6rem 2.8rem;
    border: 0.1rem solid var(--color-text);
    border-radius: 1rem;
    font-weight: 500;
    font-size: 1.4rem;
    color: var(--color-secondary);
}

.category-list__item input:checked + span {
    background: var(--color-secondary);
    border-color: var(--color-secondary);
    color: var(--color-primary);
}

@media (hover: hover) and (pointer: fine) {
    .category-list__item:hover input:not(:checked) + span {
        color: var(--color-tertiary);
    }
}
/* category-list END */



/* article-nav START */
.article-nav {
    gap: 2rem;
    position: sticky;
    top: 12rem;
}

.article-nav__title {
    font-weight: 700;
}

.article-nav__list {
    gap: 0;
    color: var(--color-text);
}

.article-nav a {
    transition: var(--trans);
}

.article-nav a.active {
    color: var(--color-primary);
    text-shadow: 0.01rem 0.01rem;
}

.article-nav a:first-letter {
    text-transform: capitalize;
}

@media (hover: hover) and (pointer: fine) {
    .article-nav a:hover {
        color: var(--color-primary);
    }
}

@media screen and (max-width: 767.9px) {
    .article-nav {
        gap: 3rem;
    }

    .article-nav__title {
        margin-bottom: -1rem;
    }

    .article__share {
        order: -1;
        padding-top: 0;
        padding-bottom: 3rem;
        border-bottom: 0.1rem solid var(--color-surface);
    }

    .article-nav__list-wrap {
        padding-bottom: 3rem;
        border-bottom: 0.1rem solid var(--color-surface);     
    }

    .article-nav__list {
        gap: 0.6rem;
    }
}
/* article-nav END */



/* made-by START */
.made-by {
    display: flex;
    align-items: flex-end;
    justify-content: center;
    gap: 1rem;
    width: max-content;
    margin: 0 auto;
    margin-top: 8rem;
    transition: 0.3s;
}

.made-by:hover {
    opacity: 0.7;
}
/* made-by END */



/* error-page START */
.error-page__title {
    font-weight: 700;
    font-size: 12.8rem;
}

.error-page__subtitle {
    margin-bottom: 6rem;
}
/* error-page END */



/* ticker START */
@keyframes ticker {
    from {
        translate: 0 0;
    }
    to {
        translate: -100% 0;
    }
}

.ticker {
    --gap: 2rem;

    display: flex;
    gap: var(--gap);
    overflow: hidden;
}

.ticker.reverse .ticker__list,
.ticker + .ticker:nth-of-type(even) .ticker__list {
    animation-direction: reverse;
}


.ticker__list {
    flex: 0 0 auto;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: var(--gap);
    width: max-content;
    will-change: transform;
    backface-visibility: hidden;
    animation-name: ticker;
    animation-duration: var(--duration);
    animation-iteration-count: infinite;
    animation-timing-function: linear;
}

@keyframes ticker-rtl {
    from {
        translate: 100% 0;
    }
    to {
        translate: 0 0;
    }
}

[dir="rtl"] .ticker__list {
    animation-name: ticker-rtl;
    animation-direction: reverse;
}

[dir="rtl"] .ticker.reverse .ticker__list,
[dir="rtl"] .ticker + .ticker:nth-of-type(even) .ticker__list {
    animation-direction: normal;
}
/* ticker END */